package com.ywt.mg.domain.models.enums;

/**
 * 明细类型枚举
 */
public enum AccountDetailTypeEnum {
    Treatment("远程会诊", 0),
    Consult("咨询", 1),
    Withdraw("提现", 2),
    Refund("退款", 3),
    AWARD("健康教育", 4),
    UNKNOW("",-1);

    private final String displayName;

    private final int value;

    AccountDetailTypeEnum(String displayName, int value){
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }


    public static AccountDetailTypeEnum valueOf (int value){
        switch (value) {
            case 0:
                return Treatment;
            case 1:
                return Consult;
            case 2:
                return Withdraw;
            case 3:
                return Refund;
            default:
                return UNKNOW;
        }
    }
}
